#!/bin/bash
_DEBUG="off"

function DEBUG()
{
 [ "$_DEBUG" == "on" ] && $@
}


DEBUG echo 'Olvasom az allományokat'
for i in *
do
  grep 'valami' $i
  [ $? -eq 0 ] && echo " $i"
done

DEBUG set -x
    a=12
    b=40
    c=$(( $a + $b ))
DEBUG set +x
echo "$a + $b = $c"

